Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
EntryScale Class Reference
Inheritance diagram for EntryScale:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| askForLabel (self, event=None)
| askForMax (self, event=None)
| askForMin (self, event=None)
| askForResolution (self, event=None)
| entry (self)
| get (self)
| label (self)
| onPress (self, *args)
| onRelease (self, *args)
| onReturn (self, *args)
| onReturnRelease (self, *args)
| scale (self)
| set (self, newVal, fCommand=1)
| setMax (self, newMax)
| setMin (self, newMin)
| setResolution (self, newResolution)

## Public Attributes
str | entryFormat = '%.2f'
| entryValue = StringVar()
int | fScaleCommand = 0
| labelFrame
| value = self['value']

## Protected Member Functions
| _entryCommand (self, event=None)
| _scaleCommand (self, strVal)
| _setSigDigits (self)
| _updateLabelText (self)
| _updateValidate (self)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ _entryCommand()

_entryCommand | ( |  | self,
|  |  | event = None )
| protected

## ◆ _scaleCommand()

_scaleCommand | ( |  | self,
|  |  | strVal )
| protected

## ◆ _setSigDigits()

_setSigDigits | ( |  | self | ) |
| protected

## ◆ _updateLabelText()

_updateLabelText | ( |  | self | ) |
| protected

## ◆ _updateValidate()

_updateValidate | ( |  | self | ) |
| protected

## ◆ askForLabel()

askForLabel | ( |  | self,
|  |  | event = None )

## ◆ askForMax()

askForMax | ( |  | self,
|  |  | event = None )

## ◆ askForMin()

askForMin | ( |  | self,
|  |  | event = None )

## ◆ askForResolution()

askForResolution | ( |  | self,
|  |  | event = None )

## ◆ entry()

entry | ( |  | self | ) |

## ◆ get()

get | ( |  | self | ) |

## ◆ label()

label | ( |  | self | ) |

## ◆ onPress()

onPress | ( |  | self,
|  | * | args )

     User redefinable callback executed on button press

## ◆ onRelease()

onRelease | ( |  | self,
|  | * | args )

     User redefinable callback executed on button release

## ◆ onReturn()

onReturn | ( |  | self,
|  | * | args )

     User redefinable callback executed on <Return> in entry

## ◆ onReturnRelease()

onReturnRelease | ( |  | self,
|  | * | args )

     User redefinable callback executed on <Return> release in entry

## ◆ scale()

scale | ( |  | self | ) |

## ◆ set()

set | ( |  | self,
|  |  | newVal,
|  |  | fCommand = 1 )

## ◆ setMax()

setMax | ( |  | self,
|  |  | newMax )

## ◆ setMin()

setMin | ( |  | self,
|  |  | newMin )

## ◆ setResolution()

setResolution | ( |  | self,
|  |  | newResolution )

## Member Data Documentation

## ◆ entryFormat

str entryFormat = '%.2f'

## ◆ entryValue

entryValue = StringVar()

## ◆ fScaleCommand

int fScaleCommand = 0

## ◆ labelFrame

labelFrame

Initial value:
= self.createcomponent('frame', (), None,
Frame, interior)

## ◆ value

value = self['value']